Skip to main content
GET
retrieve document By ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Document ID

Query Parameters

project
string
required

Workspace url

Response

Get document information

id
string

Document ID

Example:

"1110580a82031111aaa03333"

name
string

Document name

Example:

"example.pptx"

description
string

Document description

Example:

"This is an example"

file
string

File name

Example:

"Example PPTX"

size
integer

File size in bytes

Example:

38705381

type
string

File type

Example:

".pptx"

createdAt
string<date-time>

Creation date

Example:

"2024-01-15:00:00.541Z"

updatedAt
string<date-time>

Last update date

Example:

"2024-01-16T10:00:00.541Z"

projectId
string

Project ID

Example:

"1110580a82031111aaa03333"

_count
object